# Uses of Interface
org.eclipse.birt.report.engine.extension.IRowSet

Packages that use IRowSet
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IRowSet in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension with parameters of type IRowSet
Modifier and Type
Method
Description
`void`
IReportItemGeneration.`onRowSets(IRowSet[] rowSets)`
Deprecated.
since BIRT 2.3
`Object`
IReportItemPresentation.`onRowSets(IRowSet[] rowSets)`
Deprecated.
since BIRT 2.3